#include <cstdio>
#include <set>
#include <queue>
using namespace std;

int main()
{
    int n;
    scanf("%d",&n);
    queue<int> q;
    for(int i=0,x; i<n; i++)
        scanf("%d",&x),q.push(x);
    set<int> s;
    for(int i=0,x; i<n; i++)
    {
        scanf("%d",&x);
        if(s.count(x))
            printf("0 ");
        else
        {
            int sum=0,cur;
            do
            {
                cur=q.front();
                s.insert(q.front());
                q.pop();
                sum++;
            }
            while(cur!=x);
            printf("%d ",sum);
        }
    }
    return 0;
}
